## qtcharts-opensource-src 5.15.3

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
  Charts QChartView
)

## qtcharts-opensource-src 5.9.1

=== debian/changelog ===
qtcharts-opensource-src (5.9.1-3) unstable; urgency=medium

  * Disable tests during the transition. Yes, not ideal, but...

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 22:23:41 -0300

qtcharts-opensource-src (5.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 11:34:26 -0300

qtcharts-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix_license_header.diff, applied in the new release.
  * Bump Qt build-dependencies to 5.9.1.
  * Update debian/copyright.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Jul 2017 23:40:20 +0300

qtcharts-opensource-src (5.9.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Install new files for candle stick and box plot models.
  * Update symbols from build logs.

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix wrong commercial-only license header
    (fix_license_header.diff, closes: #864158).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 07 Jun 2017 11:42:27 -0500

qtcharts-opensource-src (5.7.1-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Run the tests only during architecture-specific builds (Closes: #860852).
  * Make qtcharts5-examples depend on qml-module-qtcharts, as there are
    QML examples.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 21 Apr 2017 14:12:12 -0300

qtcharts-opensource-src (5.7.1-2) unstable; urgency=medium

  * Add missing dependency on libqt5charts5 to libqt5charts5-dev (Closes:
    #860584). Thanks Andreas Beckmann for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Apr 2017 09:18:51 -0300

qtcharts-opensource-src (5.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #697509).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Apr 2017 19:57:27 -0500

=== debian/control ===
Source: qtcharts-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>,
           Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 10),
               dpkg-dev (>= 1.17.14),
               pkg-kde-tools,
               qml-module-qtquick2 (>= 5.9.1~),
               qml-module-qttest (>= 5.9.1~),
               qtbase5-dev (>= 5.9.1+dfsg~),
               qtdeclarative5-dev (>= 5.9.1~),
               xauth,
               xvfb
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~) <!nodoc>,
                     qttools5-dev-tools (>= 5.9.1~) <!nodoc>
Standards-Version: 4.0.0
Homepage: http://doc.qt.io/qt-5/qtcharts-index.html
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtcharts.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtcharts.git

Package: libqt5charts5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt charts shared library
 Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the shared library for Qt Charts.

Package: libqt5charts5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5charts5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Qt charts development files
 Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the header development files used for building Qt 5
 applications using QtCharts.

Package: qml-module-qtcharts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt charts QML module
 Qt Charts module provides a set of easy to use chart components.
 .
 This package provides a QML module for Qt charts.

Package: qtcharts5-examples
Section: x11
Architecture: any
Multi-Arch: same
Depends: qml-module-qtcharts, ${misc:Depends}, ${shlibs:Depends}
Description: Qt chart examples
 Qt Charts module provides a set of easy to use chart components.
 .
 This package contains Qt 5 Chart examples.

Package: qtcharts5-doc
Build-Profiles: <!nodoc>
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt charts QCH documentation
 Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the documentation in QCH format, which can be
 viewed using Qt Assistant from qttools5-dev-tools package.

Package: qtcharts5-doc-html
Build-Profiles: <!nodoc>
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt charts HTML documentation
 Qt Charts module provides a set of easy to use chart components.
 .
 This package contains the documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	$(MAKE) install_docs -Csrc INSTALL_ROOT=$(CURDIR)/debian/tmp

override_dh_auto_install-arch:
	dh_auto_install

	# Remove private headers and the .pri file
	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtCharts/5.*
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_charts_private.pri

	# Remove the libtool-like file
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5Charts.la

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test-arch:
	#$(MAKE) install -Csrc/chartsqml2 INSTALL_ROOT=$(CURDIR)/test_root
	#xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
	#	dh_auto_test -- -Ctests/auto \
	#	QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml

override_dh_auto_test-indep:

## qtcharts-opensource-src 5.9.5

=== debian/changelog ===
qtcharts-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 14:09:17 -0500

qtcharts-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 15:00:56 -0600

qtcharts-opensource-src (5.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 03 Dec 2017 21:45:14 -0600

qtcharts-opensource-src (5.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Run the tests, just make the results not fatal for the build.
  * Use dh_missing instead of deprecated dh_install --fail-missing.
  * Stop using deprecated Priority: extra.
  * Bump Standards-Version to 4.1.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 23:49:05 +0300

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: qtcharts-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>,
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.3),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.9.1~),
-               qml-module-qttest (>= 5.9.1~),
-               qtbase5-dev (>= 5.9.1+dfsg~),
-               qtdeclarative5-dev (>= 5.9.1~),
+               qml-module-qtquick2 (>= 5.9.5~),
+               qml-module-qttest (>= 5.9.5~),
+               qtbase5-dev (>= 5.9.5+dfsg~),
+               qtdeclarative5-dev (>= 5.9.5~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.9.1~) <!nodoc>
-Standards-Version: 4.0.0
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.9.5~) <!nodoc>
+Standards-Version: 4.1.1
 Homepage: http://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtcharts.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtcharts.git
@@ -62,7 +63,6 @@
 
 Package: qtcharts5-doc
 Build-Profiles: <!nodoc>
-Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
@@ -74,7 +74,6 @@
 
 Package: qtcharts5-doc-html
 Build-Profiles: <!nodoc>
-Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -32,13 +32,13 @@
 	# Remove the libtool-like file
 	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5Charts.la
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_test-arch:
-	#$(MAKE) install -Csrc/chartsqml2 INSTALL_ROOT=$(CURDIR)/test_root
-	#xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
-	#	dh_auto_test -- -Ctests/auto \
-	#	QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
+	$(MAKE) install -Csrc/chartsqml2 INSTALL_ROOT=$(CURDIR)/test_root
+	-xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
+		dh_auto_test -- -Ctests/auto \
+		QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
 
 override_dh_auto_test-indep:

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtcharts-opensource-src-([^-]*)\.tar\.xz

## qtcharts-opensource-src 5.11.1

=== debian/changelog ===
qtcharts-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:30 -0500

qtcharts-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump build dependencies to 5.11.1.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 25 Jun 2018 23:22:56 -0500

qtcharts-opensource-src (5.10.1-2) unstable; urgency=medium

  * Switch to using plain dh_auto_configure instead of calling qmake
    (Closes: #888406).
    - Bump debhelper dependency to 10.9.2, required to do the change.
  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:39:50 -0300

qtcharts-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update debian/watch to follow upstream naming changes.
  * Update Vcs-[Git Browser] to use salsa.debian.org repos.
  * Update symbols files with current build log.
  * Update Standards-Version to 4.1.3, no changes required.
  * Simple updates to debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Mar 2018 13:59:05 -0300

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: qtcharts-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>,
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.9.5~),
-               qml-module-qttest (>= 5.9.5~),
-               qtbase5-dev (>= 5.9.5+dfsg~),
-               qtdeclarative5-dev (>= 5.9.5~),
+               qml-module-qtquick2 (>= 5.11.1~),
+               qml-module-qttest (>= 5.11.1~),
+               qtbase5-dev (>= 5.11.1+dfsg~),
+               qtdeclarative5-dev (>= 5.11.1~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.9.5~) <!nodoc>
-Standards-Version: 4.1.1
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.11.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
+Standards-Version: 4.1.4
 Homepage: http://doc.qt.io/qt-5/qtcharts-index.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtcharts.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtcharts.git
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcharts
 
 Package: libqt5charts5
 Architecture: any

## qtcharts-opensource-src 5.11.3

=== debian/changelog ===
qtcharts-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:50:27 -0300

qtcharts-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
   - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 17 Dec 2018 19:36:44 -0300

qtcharts-opensource-src (5.11.2-2) unstable; urgency=medium

  * Update debian/copyright.
  * Add qtbase5-doc-html to Build-Depends-Indep.
  * Drop explicit build-dependency on libqt5sql5-sqlite.
  * Use https for Homepage URL.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Oct 2018 00:22:05 +0300

qtcharts-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.2.1, no changes needed.
  * Bump Qt build dependencies to 5.11.2.
  * Bump the copyright year for my contributions.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 07 Oct 2018 16:50:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Simon Quigley <tsimonq2@ubuntu.com>,
+Uploaders: Simon Quigley <tsimonq2@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.11.1~),
-               qml-module-qttest (>= 5.11.1~),
-               qtbase5-dev (>= 5.11.1+dfsg~),
-               qtdeclarative5-dev (>= 5.11.1~),
+               qml-module-qtquick2 (>= 5.11.3~),
+               qml-module-qttest (>= 5.11.3~),
+               qtbase5-dev (>= 5.11.3+dfsg~),
+               qtdeclarative5-dev (>= 5.11.3~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.11.1+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
-Standards-Version: 4.1.4
-Homepage: http://doc.qt.io/qt-5/qtcharts-index.html
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Standards-Version: 4.3.0
+Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcharts

## qtcharts-opensource-src 5.12.2

=== debian/changelog ===
qtcharts-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Update debian/libqt5charts5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Mar 2019 00:27:34 +0300

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.11.3~),
-               qml-module-qttest (>= 5.11.3~),
-               qtbase5-dev (>= 5.11.3+dfsg~),
-               qtdeclarative5-dev (>= 5.11.3~),
+               qml-module-qtquick2 (>= 5.12.2~),
+               qml-module-qttest (>= 5.12.2~),
+               qtbase5-dev (>= 5.12.2+dfsg~),
+               qtdeclarative5-dev (>= 5.12.2~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs

## qtcharts-opensource-src 5.12.4

=== debian/changelog ===
qtcharts-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.4.
  * Simplify debian/rules by using a debian/not-installed file.
  * Add Build-Depends-Package field to debian/libqt5charts5.symbols.
  * Make the tests results fatal. Run them with QTEST_ENVIRONMENT=ci,
    to make the failing tst_QBarSeries::mousehovered test blacklisted.
  * Add support for nocheck build profile.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Jun 2019 21:40:04 +0300

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.12.2~),
-               qml-module-qttest (>= 5.12.2~),
-               qtbase5-dev (>= 5.12.2+dfsg~),
-               qtdeclarative5-dev (>= 5.12.2~),
-               xauth,
-               xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
+               qml-module-qtquick2 (>= 5.12.4~),
+               qml-module-qttest (>= 5.12.4~),
+               qtbase5-dev (>= 5.12.4+dfsg~),
+               qtdeclarative5-dev (>= 5.12.4~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.4~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git

=== debian/rules ===
--- 
+++ 
@@ -22,23 +22,14 @@
 override_dh_auto_install-indep:
 	$(MAKE) install_docs -Csrc INSTALL_ROOT=$(CURDIR)/debian/tmp
 
-override_dh_auto_install-arch:
-	dh_auto_install
-
-	# Remove private headers and the .pri file
-	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtCharts/5.*
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_charts_private.pri
-
-	# Remove the libtool-like file
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5Charts.la
-
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/chartsqml2 INSTALL_ROOT=$(CURDIR)/test_root
-	-xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX" \
-		dh_auto_test -- -Ctests/auto \
+	dh_auto_test -- -Ctests/auto \
+		TESTRUNNER='xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX"' \
+		QTEST_ENVIRONMENT=ci \
 		QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
 
 override_dh_auto_test-indep:

## qtcharts-opensource-src 5.12.5

=== debian/changelog ===
qtcharts-opensource-src (5.12.5-2) unstable; urgency=medium

  * Run tests with QSG_NO_DEPTH_BUFFER=1 to workaround Qt Quick crash on
    mips64el (see bug #868745 for details).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Oct 2019 21:06:25 +0300

qtcharts-opensource-src (5.12.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 12:04:09 +0300

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.12.4~),
-               qml-module-qttest (>= 5.12.4~),
-               qtbase5-dev (>= 5.12.4+dfsg~),
-               qtdeclarative5-dev (>= 5.12.4~),
+               qml-module-qtquick2 (>= 5.12.5~),
+               qml-module-qttest (>= 5.12.5~),
+               qtbase5-dev (>= 5.12.5+dfsg~),
+               qtdeclarative5-dev (>= 5.12.5~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.4~) <!nodoc>
-Standards-Version: 4.3.0
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcharts

## qtcharts-opensource-src 5.12.8

=== debian/changelog ===
qtcharts-opensource-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 13:48:06 +0300

qtcharts-opensource-src (5.12.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: qtcharts-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Simon Quigley <tsimonq2@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.12.5~),
-               qml-module-qttest (>= 5.12.5~),
-               qtbase5-dev (>= 5.12.5+dfsg~),
-               qtdeclarative5-dev (>= 5.12.5~),
+               qml-module-qtquick2 (>= 5.12.8~),
+               qml-module-qttest (>= 5.12.8~),
+               qtbase5-dev (>= 5.12.8+dfsg~),
+               qtdeclarative5-dev (>= 5.12.8~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
 Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	$(MAKE) install -Csrc/chartsqml2 INSTALL_ROOT=$(CURDIR)/test_root
 	dh_auto_test -- -Ctests/auto \
 		TESTRUNNER='xvfb-run -a -s "-screen 0 1024x768x24 +extension GLX"' \
-		QTEST_ENVIRONMENT=ci \
+		QTEST_ENVIRONMENT=ci QSG_NO_DEPTH_BUFFER=1 \
 		QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
 
 override_dh_auto_test-indep:

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtcharts-everywhere-src-([^-]*)\.tar\.xz

## qtcharts-opensource-src 5.14.2

=== debian/changelog ===
qtcharts-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:18:13 +0300

qtcharts-opensource-src (5.14.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Remove unneeded injection of linker flags.
  * Bump debhelper-compat from 12 to 13.
  * Remove build paths from .prl files for reproducibility.

  [ Dmitry Shachnev ]
  * Drop dh_missing override, not needed with debhelper compat 13.

 -- Patrick Franz <patfra71@gmail.com>  Mon, 04 May 2020 18:41:32 +0200

qtcharts-opensource-src (5.14.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Bump debhelper-compatibility to 12:
    - Switch debhelper build dependency to debhelper-compat 12.
    - Remove debian/compat.
  * Update the Uploaders-field.
  * Bump Qt build-dependencies to 5.14.1.
  * Add Rules-Requires-Root field.
  * Update debian/copyright.

  [ Dmitry Shachnev ]
  * Update debian/libqt5charts5.symbols from the current build log.
    - Many symbols are now marked as Qt_5_PRIVATE_API because QTBUG-74752
      was fixed.

 -- Patrick Franz <patfra71@gmail.com>  Sun, 15 Mar 2020 21:48:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: qtcharts-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Simon Quigley <tsimonq2@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: debhelper (>= 11),
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Patrick Franz <patfra71@gmail.com>
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.12.8~),
-               qml-module-qttest (>= 5.12.8~),
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-dev (>= 5.12.8~),
+               qml-module-qtquick2 (>= 5.14.2~),
+               qml-module-qttest (>= 5.14.2~),
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-dev (>= 5.14.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
-Standards-Version: 4.4.1
+Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcharts

## qtcharts-opensource-src 5.15.1.2+dde

=== debian/changelog ===
qtcharts-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 16:48:15 +0800

qtcharts-opensource-src (5.15.1-2) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Use ${DEB_HOST_MULTIARCH} substitution in .install files.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Sep 2020 16:08:40 -0300

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Patrick Franz <patfra71@gmail.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.14.2~),
-               qml-module-qttest (>= 5.14.2~),
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-dev (>= 5.14.2~),
+               qml-module-qtquick2 (>= 5.15.1~),
+               qml-module-qttest (>= 5.15.1~),
+               qtbase5-dev (>= 5.15.1~),
+               qtdeclarative5-dev (>= 5.15.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html

## qtcharts-opensource-src 5.15.2

=== debian/changelog ===
qtcharts-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:38 +0300

qtcharts-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Nov 2020 20:32:28 +0300

qtcharts-opensource-src (5.15.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:08 +0300

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,20 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Patrick Franz <patfra71@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.1~),
-               qml-module-qttest (>= 5.15.1~),
-               qtbase5-dev (>= 5.15.1~),
-               qtdeclarative5-dev (>= 5.15.1~),
+               qml-module-qtquick2 (>= 5.15.2~),
+               qml-module-qttest (>= 5.15.2~),
+               qtbase5-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git

## qtcharts-opensource-src 5.15.3

=== debian/changelog ===
qtcharts-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update email address for Patrick Franz.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 19:25:47 +0300

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Simon Quigley <tsimonq2@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Patrick Franz <patfra71@gmail.com>
+           Patrick Franz <deltaone@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.2~),
-               qml-module-qttest (>= 5.15.2~),
-               qtbase5-dev (>= 5.15.2+dfsg~),
-               qtdeclarative5-dev (>= 5.15.2~),
+               qml-module-qtquick2 (>= 5.15.3~),
+               qml-module-qttest (>= 5.15.3~),
+               qtbase5-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-dev (>= 5.15.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
-Standards-Version: 4.5.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git

## qtcharts-opensource-src 5.15.6

=== debian/changelog ===
qtcharts-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:29:29 +0300

qtcharts-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
    - Fixes build with LTO enabled (closes: #1015632).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 20:09:06 +0300

qtcharts-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:17 +0300

qtcharts-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 12:56:21 +0300

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.3~),
-               qml-module-qttest (>= 5.15.3~),
-               qtbase5-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-dev (>= 5.15.3~),
+               qml-module-qtquick2 (>= 5.15.6~),
+               qml-module-qttest (>= 5.15.6~),
+               qtbase5-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-dev (>= 5.15.6~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git

## qtcharts-opensource-src 5.15.7

=== debian/changelog ===
qtcharts-opensource-src (5.15.7-1+dde) unstable; urgency=medium

  * New upstream release (5.15.7).

 -- Duan Ting <duanting@uniontech.com>  Thu, 10 Nov 2022 17:04:12 +0800

qtcharts-opensource-src (5.15.3-1+dde) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 Aug 2022 10:12:58 +0800

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,24 @@
 Source: qtcharts-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Simon Quigley <tsimonq2@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Patrick Franz <deltaone@debian.org>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Uploaders: Deepin Packages Builder <packages@deepin.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.6~),
-               qml-module-qttest (>= 5.15.6~),
-               qtbase5-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-dev (>= 5.15.6~),
+               qml-module-qtquick2 (>= 5.15.7~),
+               qml-module-qttest (>= 5.15.7~),
+               qtbase5-dev (>= 5.15.7~),
+               qtdeclarative5-dev (>= 5.15.7~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.7~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.7~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.7~) <!nodoc>
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcharts
 
 Package: libqt5charts5
 Architecture: any

## qtcharts-opensource-src 5.15.8

=== debian/changelog ===
qtcharts-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:37 +0400

qtcharts-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 17:36:47 +0400

qtcharts-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:07 +0300

qtcharts-opensource-src (5.15.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:50:50 +0300

qtcharts-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,29 @@
 Source: qtcharts-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
-Uploaders: Deepin Packages Builder <packages@deepin.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Simon Quigley <tsimonq2@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Patrick Franz <deltaone@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.7~),
-               qml-module-qttest (>= 5.15.7~),
-               qtbase5-dev (>= 5.15.7~),
-               qtdeclarative5-dev (>= 5.15.7~),
+               qml-module-qtquick2 (>= 5.15.8~),
+               qml-module-qttest (>= 5.15.8~),
+               qtbase5-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-dev (>= 5.15.8~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.7~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.7~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.7~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.7~) <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcharts.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcharts
 
 Package: libqt5charts5
 Architecture: any

## qtcharts-opensource-src 5.15.9

=== debian/changelog ===
qtcharts-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 19:32:16 +0300

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.8~),
-               qml-module-qttest (>= 5.15.8~),
-               qtbase5-dev (>= 5.15.8+dfsg~),
-               qtdeclarative5-dev (>= 5.15.8~),
+               qml-module-qtquick2 (>= 5.15.9~),
+               qml-module-qttest (>= 5.15.9~),
+               qtbase5-dev (>= 5.15.9+dfsg~),
+               qtdeclarative5-dev (>= 5.15.9~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.9~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.9~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.9~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.9+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html

## qtcharts-opensource-src 5.15.10

=== debian/changelog ===
qtcharts-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:09:00 +0300

qtcharts-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Jun 2023 00:05:25 +0300

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.9~),
-               qml-module-qttest (>= 5.15.9~),
-               qtbase5-dev (>= 5.15.9+dfsg~),
-               qtdeclarative5-dev (>= 5.15.9~),
+               qml-module-qtquick2 (>= 5.15.10~),
+               qml-module-qttest (>= 5.15.10~),
+               qtbase5-dev (>= 5.15.10+dfsg~),
+               qtdeclarative5-dev (>= 5.15.10~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.9~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.9~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.9~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.9+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html

## qtcharts-opensource-src 5.15.12

=== debian/changelog ===
qtcharts-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 01:06:23 +0300

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-kde-tools,
-               qml-module-qtquick2 (>= 5.15.10~),
-               qml-module-qttest (>= 5.15.10~),
-               qtbase5-dev (>= 5.15.10+dfsg~),
-               qtdeclarative5-dev (>= 5.15.10~),
+               qml-module-qtquick2 (>= 5.15.12~),
+               qml-module-qttest (>= 5.15.12~),
+               qtbase5-dev (>= 5.15.12+dfsg~),
+               qtdeclarative5-dev (>= 5.15.12~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.12~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.12~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.12~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.12+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtcharts-index.html
